using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Watcher.Data;
using Watcher.ViewModels;

namespace Watcher.Controllers;

[Authorize]
[Route("[controller]")]
public class SystemController : Controller
{
    private readonly AppDbContext _context;
    private readonly ILogger<SystemController> _logger;

    public SystemController(AppDbContext context, ILogger<SystemController> logger)
    {
        _context = context;
        _logger = logger;
    }

    // Edit-Form anzeigen
    [HttpGet("Settings")]
    //public async Task<IActionResult> Settings()
    public IActionResult Settings()
    {
        ViewBag.DbProvider = "Microsoft.EntityFrameworkCore.Sqlite";
        ViewBag.mail = "test@mail.com";
        ViewBag.IdentityProvider = "Local";
        ViewBag.ServerVersion = "v0.1.0";
        return View();
    }

    // HttpPost
    // public IActionResult UpdateNotifications(){}

}
